Bug#607812: gedit: fails to use tab preference when loading file

Russell Gadd blockhale at gmail.com
Wed Dec 22 14:34:54 UTC 2010

Package: gedit
Version: 2.30.4-1
Severity: normal

I chose a tab setting preference of 2 instead of the default 8. This works for
documents currently loaded in gedit, but if I subsequently load a document with
tabs in, the tab setting is back at 8 (for that file only), I have to then go
back and reset the preference.

-- Package-specific info:
Active plugins:
  - time
  - docinfo
  - modelines
  - spell
  - filebrowser
  - codecomment
  - bracketcompletion
  - sort

No plugin installed in $HOME.

Module versions:
  - glib                  2.24.2
  - gtk+                  2.20.1
  - gtksourceview         
  - pygobject             
  - pygtk                 
  - pygtksourceview       2.10.1
  - enchant               
  - iso-codes             3.23

Python module versions:
  - python                2.6.6
  - pygtk                 2.17.0 (GTK+ 2.20.1)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gedit depends on:
ii  gconf2                2.28.1-6           GNOME configuration database syste
ii  gedit-common          2.30.4-1           official text editor of the GNOME 
ii  iso-codes             3.23-1             ISO language, territory, currency,
ii  libatk1.0-0           1.30.0-1           The ATK accessibility toolkit
ii  libc6                 2.11.2-7           Embedded GNU C Library: Shared lib
ii  libcairo2             1.8.10-6           The Cairo 2D vector graphics libra
ii  libenchant1c2a        1.6.0-1            a wrapper library for various spel
ii  libgconf2-4           2.28.1-6           GNOME configuration database syste
ii  libglib2.0-0          2.24.2-1           The GLib library of C routines
ii  libgtk2.0-0           2.20.1-2           The GTK+ graphical user interface 
ii  libgtksourceview2.0-0 2.10.4-1           shared libraries for the GTK+ synt
ii  libice6               2:1.0.6-2          X11 Inter-Client Exchange library
ii  libpango1.0-0         1.28.3-1           Layout and rendering of internatio
ii  libpython2.6          2.6.6-6            Shared Python runtime library (ver
ii  libsm6                2:1.1.1-1          X11 Session Management library
ii  libx11-6              2:1.3.3-4          X11 client-side library
ii  libxml2               2.7.8.dfsg-1       GNOME XML library
ii  python                2.6.6-3+squeeze2   interactive high-level object-orie
ii  python-gobject        2.21.4+is.2.21.3-1 Python bindings for the GObject li
ii  python-gtk2           2.17.0-4           Python bindings for the GTK+ widge
ii  python-gtksourceview2 2.10.1-1           Python bindings for the GtkSourceV
ii  python-support        1.0.10             automated rebuilding support for P

Versions of packages gedit recommends:
ii  python-gnome2                 2.28.1-1   Python bindings for the GNOME desk
ii  zenity                        2.30.0-1   Display graphical dialog boxes fro

gedit suggests no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list